Bug 478769 - Review Request: spring-installer - Installer for the Spring game's maps and mods
Review Request: spring-installer - Installer for the Spring game's maps and mods
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Alexey Torkhov
Fedora Extras Quality Assurance
:
Depends On: 490407
Blocks: 478767
  Show dependency treegraph
 
Reported: 2009-01-04 16:24 EST by Aurelien Bompard
Modified: 2009-03-27 10:54 EDT (History)
6 users (show)

See Also:
Fixed In Version: 0.78.2.1-9.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-27 10:54:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
atorkhov: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Aurelien Bompard 2009-01-04 16:24:34 EST
Spec URL: http://gauret.free.fr/fichiers/rpms/fedora/spring/spring-installer.spec
SRPM URL: http://gauret.free.fr/fichiers/rpms/fedora/spring/spring-installer-20081228-1.fc10.src.rpm
Description: 
Spring Installer is a GTK+ program that will install your Spring mods
and maps for you.
CA Installer is a GTK+ program that will install and keep up to
date, the Spring, Complete Annihilation mod.

Please see Spring's main review bug for details : bug 478767.
Comment 1 Ian Weller 2009-01-18 14:42:18 EST
Wrong SRPM url (404): http://gauret.free.fr/fichiers/rpms/fedora/spring/spring-installer-20081228-2.fc10.src.rpm seems correct, using that.
Comment 2 Ian Weller 2009-01-18 14:46:03 EST
OK, upstream is obnoxious and deletes their old releases when they come out with new versions.

20090115 is apparently out.
Comment 3 Aurelien Bompard 2009-01-18 18:00:27 EST
Yeah, I've updated it, but forgot to post the new URL here, sorry about that.
I tried to update to the latest version, but it needs a more recent version of ocaml-zip (at least 1.04), so I'll stick with 20081228 if you don't mind.
I'll try to find a tarball of 20081228 somewhere you could check for (but that's pretty hard...)
Comment 4 Aurelien Bompard 2009-01-19 02:17:33 EST
Hmm, I can't find 20081228 anywhere, but I found the revision control system (it changed at least 2 times...):
http://github.com/spring/spring/tree/6299949266be55fc08cbbcc28044d310426d7c4c/tools/SpringInstaller

Right now I'm cloning it to check if I can rebuild the 20081228 tarball, but it takes tiiiiiime.
I'm also trying to contact the author, I'll keep you posted.
Comment 5 D Haley 2009-01-19 05:11:02 EST
Hi Aurelien,

OK, I have quickly looked at the spec for this one -- I am not able to provide a solid review at this stage. If I get time (weekend), I may provide patches to some of these, if you like. 

* Not sure about grabbing the data from what appears to be part of their filesystem that is laid out to fit neatly into the ubuntu repository. Might be a bit too dynamic... The Git repository sounds like a much better idea.

* I think offering an installer for a TA mod "CA" may have licencing issues. TA is copyright of what used to be infogrames, which i know think is Atari. The content that this installer obtains is probably copyright protected, as I undesrtand that Complete Annihilation uses TA game data. 

* Is specifying the content of the sub-package in the main package description normal? I have not seen this before, and it strikes me as a touch confusing.

* Using chrpath to remove hardcoding of path information is considered a last resort option [1].  Consider patching the build system to remove invocations to chrpath. 

[1] http://fedoraproject.org/wiki/Packaging/Guidelines#Beware_of_Rpath
Comment 6 Aurelien Bompard 2009-01-19 14:41:26 EST
> * Not sure about grabbing the data from what appears to be part of their
> filesystem that is laid out to fit neatly into the ubuntu repository. Might be
> a bit too dynamic... The Git repository sounds like a much better idea.

Actually, the tarballs are better to check that I'm not introducing malware in Fedora. With a Git clone, it would be a little harder to check, and the SCM has already changed in the past.
I have contacted the author about this, so hopefully he's aware of this issue.

> * I think offering an installer for a TA mod "CA" may have licencing issues. 
> TA is copyright of what used to be infogrames, which i know think is Atari. 
> The content that this installer obtains is probably copyright protected, as I
> undesrtand that Complete Annihilation uses TA game data. 

The package does not contain the copyrighted files, you still have to download them by hand. The CA installer does not download them.

> * Is specifying the content of the sub-package in the main package description
> normal? I have not seen this before, and it strikes me as a touch confusing.

Oops, no, that's a cut-n-paste mistake. Good catch !

> * Using chrpath to remove hardcoding of path information is considered a last
> resort option [1].  Consider patching the build system to remove invocations 
> to chrpath. 

It looks like it very very hard to remove rpath with ocaml. I've search the web but the only available option seems to use chrpath. If you find a cleaner way, I'm interested of course.
Comment 7 Aurelien Bompard 2009-01-19 16:23:42 EST
News from the author: we now have a fixed download location, and he worked on making the package more portable. Here's the new SRPM :
http://gauret.free.fr/fichiers/rpms/fedora/spring/spring-installer-20090119-1.fc10.src.rpm

Note that the package does not contain a license file, I've notified the author.
Comment 8 Alexey Torkhov 2009-03-14 10:57:19 EDT
It does not contains any license at all. Does upstream state anywhere that it is GPLv2+?

It carries a copy of camlzip library. It should be patched to system version of it (package called ocaml-zip).

Site in URL seem don't have any relation to spring-installer itself.
Will http://www.caspring.org/ be more appropriate?

Debuginfo package looks incomplete. Can it carry anything useful for ocaml
programs? May be it should be disabled?
Comment 9 Aurelien Bompard 2009-03-15 14:23:16 EDT
> It does not contains any license at all. Does upstream state anywhere that it
is GPLv2+?

It used to be in the debian/copyright file in the previous tarball. Debian-specific information has been removed from this new tarball, so this file was dropped too. I asked the author to add a COPYING file to the next release.

> It carries a copy of camlzip library. It should be patched to system version of
it (package called ocaml-zip).

I agree, but it requires ocaml-zip version 1.04, and we only have 1.03 in Fedora 10. Can I delay the patching until F11 is out ?

> Site in URL seem don't have any relation to spring-installer itself.

Well, caspring.org is not directly related either, but it's better indeed. I'll update the tag.

> Debuginfo package looks incomplete. Can it carry anything useful for ocaml
programs? May be it should be disabled?

What makes you say that ? (I am not familiar with ocaml). The OCaml packaging guidelines don't say anything about debuginfo packages, so I'd rather leave it this way.
Comment 10 Alexey Torkhov 2009-03-15 15:13:51 EDT
(In reply to comment #9)
> > It does not contains any license at all. Does upstream state anywhere that > > it is GPLv2+?
> 
> It used to be in the debian/copyright file in the previous tarball.
> Debian-specific information has been removed from this new tarball, so this
> file was dropped too. I asked the author to add a COPYING file to the next
> release.

Having COPYING file in tarball does not guarantee that sources are GPL. Plus it does not specify what version of GPL it is. He should have some README there telling "This sources are GPL v2 or later" or something like that. Best, if he includes standard header within comments to every file.

> > It carries a copy of camlzip library. It should be patched to system
> > version of it (package called ocaml-zip).
> 
> I agree, but it requires ocaml-zip version 1.04, and we only have 1.03 in
> Fedora 10. Can I delay the patching until F11 is out ?

Hmm, we don't have ocaml-zip-1.04 in rawhide either. Could you file a bug against ocaml-zip asking him to update?

> > Debuginfo package looks incomplete. Can it carry anything useful for ocaml
> > programs? May be it should be disabled?
> 
> What makes you say that ? (I am not familiar with ocaml). The OCaml packaging
> guidelines don't say anything about debuginfo packages, so I'd rather leave it
> this way.  

There is no Ocaml sources in debuginfo. That means it's impossible to debug it. Though, may be, it is possible to get backtraces. So, ok, lets leave it.
Comment 11 Aurelien Bompard 2009-03-16 02:49:07 EDT
> Having COPYING file in tarball does not guarantee that sources are GPL. Plus it
> does not specify what version of GPL it is. He should have some README there
> telling "This sources are GPL v2 or later" or something like that. Best, if he
> includes standard header within comments to every file.

OK, I'll mention that to him. I'll let you know his answer.

> Hmm, we don't have ocaml-zip-1.04 in rawhide either. Could you file a bug
> against ocaml-zip asking him to update?

Done, as bug 490407.

Thanks.
Comment 12 Richard W.M. Jones 2009-03-16 05:52:43 EDT
I'll do the ocaml-zip 1.04 packaging now.
Comment 13 Richard W.M. Jones 2009-03-16 05:59:03 EDT
Re comment 10:
Debuginfo isn't useful for OCaml.  It uses its own debugging
information.  In any case it's not worth worrying about this.
Comment 14 Aurelien Bompard 2009-03-16 07:42:22 EDT
* Mon Mar 16 2009 Aurelien Bompard <abompard@fedoraproject.org> 20090316-1
- new version, with license information
- update icon scriptlets

The author replied, the code is now GPLv3+ with the proper COPYING file and headers.

http://gauret.free.fr/fichiers/rpms/fedora/spring/spring-installer-20090316-1.fc10.src.rpm
Comment 15 Alexey Torkhov 2009-03-16 08:40:56 EDT
(In reply to comment #14)
> The author replied, the code is now GPLv3+ with the proper COPYING file and
> headers.
Great!

Just a few fixes left:

- rpmlint says a bunch of errors and warnings about on executable permissions of libsevenzip sources in debuginfo. Should either disable useless debuginfo or fix those permissions in %prep.

- Include COPYING in %doc.

- %posttrans scriptlet should go to ca-installer package.
Comment 16 Aurelien Bompard 2009-03-16 16:14:04 EDT
* Mon Mar 16 2009 Aurelien Bompard <abompard@fedoraproject.org> 20090316-2
- fix scriptlets
- fix permissions in camlsevenzip/libsevenzip
- package the COPYING file as %%doc

http://gauret.free.fr/fichiers/rpms/fedora/spring/spring-installer-20090316-2.fc10.src.rpm
Comment 17 Alexey Torkhov 2009-03-16 16:34:52 EDT
Here is the third review:

+ rpmlint output clean.
+ The package is named according to the Package Naming Guidelines.
+ The spec file name matches the base package %{name}, in the format
  %{name}.spec.
+ The package meets the Packaging Guidelines.
+ The package is licensed with a Fedora approved license and meets the
  Licensing Guidelines.
+ The License field in the package spec file matches the actual license.
+ File, containing the text of the licenses for the package is included in
  %doc.
+ The spec file is written in American English.
+ The spec file for the package is legible.
+ The sources used to build the package matches the upstream source, as
  provided in the spec URL.
+ The package successfully compiles and builds into binary rpms on at least
  one primary architecture.
+ Architectures where package does not successfully compile, build or work are
  listed in ExcludeArch.

Bugs should be filled against all 4 spring packages after their acceptance and
added to FE-ExcludeArch-ppc{,64} tracker:
https://fedoraproject.org/wiki/Packaging/Guidelines#Architecture_Build_Failures

+ All build dependencies are listed in BuildRequires.
+ No need to deal with locales.
+ Package does not store shared libraries.
+ The package does not designed to be relocatable.
+ A package owns all directories that it creates.
+ A package does not list a file more than once in the spec %files listings.
+ Permissions on files are set properly.
+ The package has a %clean section, which contains rm -rf $RPM_BUILD_ROOT.
+ The package consistently uses macros.
+ The package contains code, or permissible content.
+ Does not contain large documentation files.
+ Includes only doc files in %doc.
+ No headers.
+ No static libraries.
+ The package does not contain pkgconfig(.pc) files.
+ The package does not contain library files with a suffix (e.g.
  libfoo.so.1.1).
+ No devel packages.
+ The package does not contain any .la libtool archives.
+ Package includes %{name}.desktop file. Properly installed with
  desktop-file-install.
+ The package does not own files or directories already owned by other
  packages.
+ At the beginning of %install, the package runs rm -rf $RPM_BUILD_ROOT.
+ All filenames in the package are valid UTF-8.
+ The package builds in mock.
+ A package does not segfault instead of running.
+ Used scriptlets are sane.


This package is APPROVED, cvs creation should delayed until all four spring
packages are accepted.
Comment 18 Aurelien Bompard 2009-03-17 17:11:56 EDT
New Package CVS Request
=======================
Package Name: spring-installer
Short Description: Installer for the Spring game's maps and mods
Owners: abompard
Branches: F-10
InitialCC:
Comment 19 Kevin Fenzi 2009-03-17 23:20:48 EDT
cvs done.
Comment 20 Fedora Update System 2009-03-18 06:37:18 EDT
spring-maps-default-0.1-4.fc10,spring-installer-20090316-3.fc10,springlobby-0.0.1.10429-4.fc10,spring-0.78.2.1-8.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/spring-maps-default-0.1-4.fc10,spring-installer-20090316-3.fc10,springlobby-0.0.1.10429-4.fc10,spring-0.78.2.1-8.fc10
Comment 21 Fedora Update System 2009-03-18 15:09:06 EDT
spring-maps-default-0.1-4.fc10, spring-installer-20090316-3.fc10, springlobby-0.0.1.10429-4.fc10, spring-0.78.2.1-8.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update spring-maps-default spring-installer springlobby spring'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-2819
Comment 22 Fedora Update System 2009-03-22 09:00:09 EDT
spring-0.78.2.1-9.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/spring-0.78.2.1-9.fc10
Comment 23 Fedora Update System 2009-03-22 10:49:13 EDT
spring-0.78.2.1-9.fc10,springlobby-0.0.1.10425-1.fc10,spring-installer-20090316-4.fc10,spring-maps-default-0.1-5.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/spring-0.78.2.1-9.fc10,springlobby-0.0.1.10425-1.fc10,spring-installer-20090316-4.fc10,spring-maps-default-0.1-5.fc10
Comment 24 Fedora Update System 2009-03-23 11:55:33 EDT
spring-0.78.2.1-9.fc10, springlobby-0.0.1.10425-1.fc10, spring-installer-20090316-4.fc10, spring-maps-default-0.1-5.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update spring springlobby spring-installer spring-maps-default'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-2941
Comment 25 Fedora Update System 2009-03-27 10:54:16 EDT
spring-0.78.2.1-9.fc10, springlobby-0.0.1.10425-1.fc10, spring-installer-20090316-4.fc10, spring-maps-default-0.1-5.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.